%global posttag 2012_07_02

Version: 5.3.0
Release:    1%{?dist}
URL:     http://linuxlibertine.sf.net
BuildRequires: fonts-rpm-macros
BuildRequires: libappstream-glib


%global foundry           linux-libertine
%global fontlicense       GPL-2.0-or-later WITH Font-exception-2.0 OR OFL-1.1
%global fontlicenses      OFL-1.1.txt GPL.txt LICENCE.txt
%global fontdocs          ToDo.txt Readme-TEX.txt README ChangeLog.txt Bugs.txt
%global fontdocsex        %{fontlicenses}

%global common_description %{expand:
The Linux Libertine Open Fonts are a TrueType font family for practical use in documents.  They were created to provide a free alternative to proprietary standard fonts.
}


%global fontfamily0       Linux Libertine
%global fontsummary0      Linux Libertine Open Fonts
%global fontpkgheader0    %{expand:
Provides: linux-libertine-fonts-common = %{version}-%{release}
}
%global fonts0            LinLibertine_RZ.otf LinLibertine_RZI.otf LinLibertine_R.otf LinLibertine_RI.otf LinLibertine_RB.otf LinLibertine_RBI.otf LinLibertine_DR.otf LinLibertine_I.otf
%global fontsex0          %{nil}
%global fontconfs0        %{SOURCE10} %{SOURCE13}
%global fontconfsex0      %{nil}
%global fontdescription0  %{expand:
%{common_description}
This package contains Serif fonts.
}

%global fontfamily1       Linux Biolinum
%global fontsummary1      Sans-serif fonts from Linux Libertine Open Fonts
%global fontpkgheader1    %{expand:
Provides: linux-libertine-fonts-common = %{version}-%{release}
}
%global fonts1            LinBiolinum_R.otf LinBiolinum_RI.otf LinBiolinum_RB.otf LinBiolinum_K.otf
%global fontsex1          %{nil}
%global fontconfs1        %{SOURCE11}
%global fontconfsex1      %{nil}
%global fontdescription1  %{expand:
%{common_description}
This package contains Sans fonts.
}

%global fontfamily2       Linux Libertine Mono
%global fontsummary2      Monospace font from Linux Libertine Open Fonts
%global fontpkgheader2    %{expand:
Provides: linux-libertine-fonts-common = %{version}-%{release}
}
%global fonts2            LinLibertine_M.otf
%global fontsex2          %{nil}
%global fontconfs2        %{SOURCE12}
%global fontconfsex2      %{nil}
%global fontdescription2  %{expand:
%{common_description}
This package contains Monospace font.
}

Source0:  http://download.sourceforge.net/sourceforge/linuxlibertine/LinLibertineOTF_%{version}_%{posttag}.tgz
Source10: 60-linux-libertine-fonts.conf
Source11: 61-linux-libertine-biolinum-fonts.conf
Source12: 61-linux-libertine-mono-fonts.conf
Source13: 29-linux-libertine-fonts-metrics-alias.conf

%fontpkg -a

%fontmetapkg

%prep
%setup -q -c

%build
%fontbuild -a

%install
%fontinstall -a

%check
%fontcheck -a

%fontfiles -a

%changelog
* Tue Oct 22 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.3.0-1
- initial build
